### Class

# Malcontent User

since: 0.14.0

#### Description [src]

    final class Malcontent.User : GObject.Object
    {
      /* No available fields */
    }

A user account on the system.

Many of the properties on the account may change over time if the user database is edited. If so, `GObject::notify` will be emitted on them. `MctUser:uid` and `MctUser:username` cannot change after construction.

Available since: 0.14.0

#### Ancestors

- GObject

#### Instance methods

###### mct_user_equal

Check whether two users are equal.

since: 0.14.0

###### mct_user_get_display_name

Get the value of the `MctUser:display-name` property.

since: 0.14.0

###### mct_user_get_icon_path

Get the value of the `MctUser:icon-path` property.

since: 0.14.0

###### mct_user_get_locale

Get the value of the `MctUser:locale` property.

since: 0.14.0

###### mct_user_get_login_time

Get the value of the `MctUser:login-time` property.

since: 0.14.0

###### mct_user_get_real_name

Get the value of the `MctUser:real-name` property.

since: 0.14.0

###### mct_user_get_uid

Get the value of the `MctUser:uid` property.

since: 0.14.0

###### mct_user_get_user_type

Get the value of the `MctUser:user-type` property.

since: 0.14.0

###### mct_user_get_username

Get the value of the `MctUser:username` property.

since: 0.14.0

###### mct_user_is_in_same_family

Calculate whether two users are in the same family.

since: 0.14.0

###### mct_user_is_parent_of

Calculate whether one user is the parent of another user.

since: 0.14.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Malcontent.User:display-name

The user’s real name or username if the real name is unset.

since: 0.14.0

###### Malcontent.User:icon-path

Path to the user’s icon/avatar image.

since: 0.14.0

###### Malcontent.User:locale

The user’s login locale.

since: 0.14.0

###### Malcontent.User:login-time

The last login time for this user, in seconds since the Unix epoch.

since: 0.14.0

###### Malcontent.User:real-name

The user’s real name.

since: 0.14.0

###### Malcontent.User:uid

The user’s UID.

since: 0.14.0

###### Malcontent.User:user-type

Type of the user.

since: 0.14.0

###### Malcontent.User:username

The user’s username.

since: 0.14.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MalcontentUserClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.